.md-footer,.md-footer>* {
    --md-footer-bg-color: #8C6545;
    --md-footer-bg-color--dark: #784D2D;
}

.md-announce a, .md-announce a:focus, .md-announce a:hover {
    color: #ffffff;
}
@media screen and (min-width: 40em) {
    .grid {
        display: grid;
        grid-template-columns: 1fr 1fr;
        grid-column-gap: 20px;
        grid-row-gap: 20px;
    }
    .grid h2 {
        margin-top:0;
    }
}

.grid .grid__box:first-child h2 {
    margin-top:0;
}

@media screen and (min-width: 60em) {
    .grid--4 {
        grid-template-columns: 1fr 1fr 1fr  1fr;
    }
    .grid--3 {
        grid-template-columns: 1fr 1fr 1fr;
    }
    .grid--2 {
        grid-template-columns: 1fr 1fr;
    }
}

.since {
    display: inline-block;
    font-weight: normal;
    border-radius: 3px;
    font-family: sans-serif;
    height: 16px;
    line-height: 16px;
    font-size: 0;
    position: relative;
    top: -2px;
}

h1 .since {
    height: 21px;
    top: -5px;
}

.since__text {
    background-color: #555;
    color: #fff;
    display: inline-block;
    height: 16px;
    font-size: 12px;
    border-top-left-radius: 2px;
    border-bottom-left-radius: 2px;
    padding: 0 5px;
}

h1 .since__text {
    height: 21px;
    padding: 3px 5px;
}

.side__hide {
    display: none;
}

.since__value {
    background-color: #4c1;
    color: #fff;
    display: inline-block;
    height: 16px;
    padding: 0 5px;
    font-size: 12px;
    border-top-right-radius: 2px;
    border-bottom-right-radius: 2px;
}

h1 .since__value {
    height: 21px;
    padding: 3px 5px;
}

.contributors {
    padding-top: 1.5rem;
    display: flex;
    flex-wrap: wrap;
    margin-left: -10px;
    margin-right: -10px;
    align-items: center;
    flex-direction: row;
    justify-content: space-between;
}

.contributor {
    display: flex;
    padding-left: 10px;
    padding-right: 10px;
    font-size: 1.2rem;
    flex-direction: column;
    flex-basis: 30%;
    padding-bottom: 40px;
}

.contributor__name, .contributor__social_wrapper, .contributor__role {
    text-align: center;
    display: block;
}

.contributor__name, .contributor__social_wrapper {
    padding-top: 0.5rem
}

.contributor__name {
    line-height: 1rem
}


.contributor__role {
    font-style: italic;
    font-size: 0.8rem;
    color: #555555;
    text-align: center;
    line-height: 1rem;
}

.contributor__image img {
    border-radius: 50%;
    box-shadow: -1px 4px 8px 3px rgba(0, 0, 0, .1);
}

.contributor__social {
    display: inline-block;
    padding-left: 5px;
    padding-right: 5px;
}

.md-typeset a.contributor__social--github {
    color: #000;
}

.md-typeset a.contributor__social--twitter {
    color: #1DA1F2;
}

.md-typeset a.contributor__social--website {
    color: #00a000
}

.md-typeset a.contributor__social--linkedin {
    color: #0072b1
}

.companies {
    position: relative;
    vertical-align: top;
}

.companies .company td {
    padding-top: 1.5rem;
}

.companies .logo {
    padding-right: 5%;
}

@media screen and (max-width: 960px) {
    .companies .logo {
        padding-right: 2.5%;
    }
}

.companies .logo img {
    max-width: 120px;
}

.companies .logo {
    padding-right: 10%;
}

.companies h3 {
    margin-top: 0;
}

.blog-meta { position:relative; top: -1.875rem; margin-bottom:0; }

.mdx-container {
    background: no-repeat bottom,linear-gradient(180deg,var(--md-primary-fg-color),#3F6EC6 99%,var(--md-default-bg-color) 0);
}
.mdx-container, .mdx-container h1 {
    color:var(--md-primary-bg-color);
}
.mdx-container h1 {
    font-weight: 700;
    margin-bottom:1.5rem;
}
.mdx-hero__content {
    font-size:1.2em;
    line-height:1.5em;
}
.mdx-hero__content, .mdx-hero__image {
    padding-left: 0.8rem;
    padding-right:0.8rem;
    margin-top:3rem;
}
.mdx-hero__image {
    text-align: center;
}
.mdx-hero__image img {
    max-width:75%;
}
.mdx-hero .md-button {
    color: #ffffff;
    border-color:#ffffff;
}
.mdx-hero .md-button:hover, .mdx-hero .md-button:focus {
    background-color:#ffffff;
    color:#3F6EC6;
    border-color:#ffffff;
}
@media screen and (max-width: 30rem) {
    .mdx-hero .md-button {
        width:100%;
        margin-bottom: 0.75rem;
    }
}
.mdx-hero .md-buttons {
    text-align:center;
}
@media screen and (min-width: 76.25rem) {
    .mdx-hero {
        display: grid;
        grid-template-columns: 2fr 3fr;
        gap: 1.5rem 1.5rem;
    }
    .mdx-hero__image img {
        max-width:100%;
    }
    .mdx-hero .md-buttons {
        text-align:left;
    }
}
.mdx-hero-separator {
    background-color: transparent;
    min-height: 10vw;
    background-position-x: center;
    background-position-y: bottom;
    background-repeat: repeat-x;
    background-image: url("data:image/svg+xml,%0A%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 1921 133'%3E%3Cpath d='M5.45654,101.83014a106.36421,106.36421,0,0,1,28.86945,6.723C53.09387,73.20715,91.35242,49,135.5,49a116.43634,116.43634,0,0,1,58.84619,15.79761c13.61566-30.03668,44.75787-51.035,81.0542-53.59778A131.4557,131.4557,0,0,1,318.5,4c37.60327,0,71.1792,15.58258,93.27551,39.997a107.81832,107.81832,0,0,1,12.89221.37976c35.715,3.23,65.34205,23.60193,79.89783,51.28461A61.29127,61.29127,0,0,1,513.5,95a58.67625,58.67625,0,0,1,28.61682,7.28058A98.24089,98.24089,0,0,1,650.78638,51.34143a104.90122,104.90122,0,0,1,45.88134-5.96472,103.59677,103.59677,0,0,1,56.536,22.82135c12.04547-15.16858,30.07659-24.10187,49.35968-22.35791A53.12458,53.12458,0,0,1,826.088,53.82684C844.07977,24.26831,880.0863,5.797,919.66772,9.37671c27.35413,2.47388,51.13556,15.00537,67.31293,33.17255,23.5-24.49884,61.00543-38.63642,101.78815-34.94812,36.71875,3.3208,68.2312,20.38153,87.81287,44.416a58.18291,58.18291,0,0,1,25.25878-3.23926,57.41294,57.41294,0,0,1,30.51746,11.99305,95.7594,95.7594,0,0,1,103.78162-15.76581,100.779,100.779,0,0,1,18.36645-.023c33.89136,3.06512,61.39282,22.39465,71.32251,47.1856,2.17249.03156,4.36023.13819,6.5625.33735a84.17231,84.17231,0,0,1,46.80408,19.35968c6.94531-23.94312,28.677-40.8125,53.46167-40.55292,10.72388-40.79675,57.90259-68.73151,111.50757-63.88355a128.139,128.139,0,0,1,44.45019,12.188,103.91989,103.91989,0,0,1,56.09668-10.415c30.43921,2.75287,56.45508,17.95819,72.48877,39.52753a53.49667,53.49667,0,0,1,23.80762-3.25c29.88721,2.70294,51.9375,29.527,49.7345,60.17413A102.58041,102.58041,0,0,1,1921,120.10773V0H0V101.47852Q2.71583,101.587,5.45654,101.83014Z' style='fill:none'/%3E%3Cpath d='M1493.03162,126.88727a94.54233,94.54233,0,0,1,30.18469-22.56549c10.42529-34.27136,43.35449-57.7287,79.96-54.41809a75.29048,75.29048,0,0,1,41.38953,17.06207c7.909-20.48511,23.80358-37.17346,44.0487-47.34949a128.139,128.139,0,0,0-44.45019-12.188c-53.605-4.848-100.78369,23.0868-111.50757,63.88355-24.78467-.25958-46.51636,16.6098-53.46167,40.55292A80.52135,80.52135,0,0,1,1493.03162,126.88727Z' style='fill:%23f2f2f2;fill-opacity:0.6'/%3E%3Cpath d='M5.45654,101.83014Q2.71573,101.58222,0,101.47852V133H25.00391A105.52207,105.52207,0,0,1,34.326,108.5531,106.36421,106.36421,0,0,0,5.45654,101.83014Z' style='fill:%23f2f2f2;fill-opacity:0.6'/%3E%3Cpath d='M275.40039,11.19983c-36.29633,2.56274-67.43854,23.5611-81.0542,53.59778a114.06489,114.06489,0,0,1,12.07141,8.10351C218.80707,44.589,243.936,22.10742,275.40039,11.19983Z' style='fill:%23f2f2f2;fill-opacity:0.6'/%3E%3Cpath d='M436.5,76a44.55077,44.55077,0,0,1,42.09155,30.3996,56.29117,56.29117,0,0,1,25.974-10.73828c-14.55578-27.68268-44.18286-48.05457-79.89783-51.28461a107.81832,107.81832,0,0,0-12.89221-.37976A106.63117,106.63117,0,0,1,431.96417,76.2312,44.52007,44.52007,0,0,1,436.5,76Z' style='fill:%23f2f2f2;fill-opacity:0.6'/%3E%3Cpath d='M857.5,55c30.582,0,57.07709,22.0567,70.03528,54.24255a262.69929,262.69929,0,0,1,34.476-11.39471c.0481-.76257.10321-1.526.17236-2.29089,1.83417-20.28089,10.85029-38.46814,24.797-53.00769-16.17737-18.16718-39.9588-30.69867-67.31293-33.17255C880.0863,5.797,844.07977,24.26831,826.088,53.82684a53.12458,53.12458,0,0,0-23.52453-7.98669c-19.28309-1.744-37.31421,7.18933-49.35968,22.35791a103.59677,103.59677,0,0,0-56.536-22.82135,104.90122,104.90122,0,0,0-45.88134,5.96472A98.85677,98.85677,0,0,1,726.8476,133h2.88269c15.882-13.26562,36.23944-22.78815,59.02935-26.83252C802.135,75.661,827.90247,55,857.5,55Z' style='fill:%23f2f2f2;fill-opacity:0.6'/%3E%3Cpath d='M1387.19409,100.8537a84.14244,84.14244,0,0,1,38.6344-8.686c-9.92969-24.791-37.43115-44.12048-71.32251-47.1856a100.779,100.779,0,0,0-18.36645.023A98.08166,98.08166,0,0,1,1387.19409,100.8537Z' style='fill:%23f2f2f2;fill-opacity:0.6'/%3E%3Cpath d='M1834.12463,104.78412a105.76578,105.76578,0,0,1,36.33191-2.954,107.198,107.198,0,0,1,20.28553,3.82281c2.203-30.64715-19.84729-57.47119-49.7345-60.17413a53.49667,53.49667,0,0,0-23.80762,3.25C1829.09937,64.73688,1835.50256,84.249,1834.12463,104.78412Z' style='fill:%23f2f2f2;fill-opacity:0.6'/%3E%3Cpath d='M650.78638,51.34143a98.24089,98.24089,0,0,0-108.66956,50.93915A58.67625,58.67625,0,0,0,513.5,95a61.29127,61.29127,0,0,0-8.93445.66132,56.29117,56.29117,0,0,0-25.974,10.73828,44.3577,44.3577,0,0,0-46.62738-30.1684A106.63117,106.63117,0,0,0,411.77551,43.997C389.6792,19.58258,356.10327,4,318.5,4a131.4557,131.4557,0,0,0-43.09961,7.19983C243.936,22.10742,218.80707,44.589,206.4176,72.90112a114.06489,114.06489,0,0,0-12.07141-8.10351A116.43634,116.43634,0,0,0,135.5,49C91.35242,49,53.09387,73.20715,34.326,108.5531A105.52207,105.52207,0,0,0,25.00391,133H726.8476A98.85677,98.85677,0,0,0,650.78638,51.34143Z' style='fill:%23fff'/%3E%3Cpath d='M1870.45654,101.83014a105.76578,105.76578,0,0,0-36.33191,2.954c1.37793-20.53516-5.02526-40.04724-16.92468-56.0553-16.03369-21.56934-42.04956-36.77466-72.48877-39.52753a103.91989,103.91989,0,0,0-56.09668,10.415c-20.24512,10.176-36.13965,26.86438-44.0487,47.34949a75.29048,75.29048,0,0,0-41.38953-17.06207c-36.60547-3.31061-69.53467,20.14673-79.96,54.41809a94.54233,94.54233,0,0,0-30.18469,22.56549,80.52135,80.52135,0,0,0-13.83655-15.02252A84.17231,84.17231,0,0,0,1432.391,92.50507c-2.20227-.19916-4.39-.30579-6.5625-.33735a84.14244,84.14244,0,0,0-38.6344,8.686,98.08166,98.08166,0,0,0-51.05456-55.84857,95.7594,95.7594,0,0,0-103.78162,15.76581,57.41294,57.41294,0,0,0-30.51746-11.99305,58.18291,58.18291,0,0,0-25.25878,3.23926C1157,27.98267,1125.48755,10.92194,1088.7688,7.60114c-40.78272-3.6883-78.28815,10.44928-101.78815,34.94812-13.94671,14.53955-22.96283,32.7268-24.797,53.00769-.06915.76489-.12426,1.52832-.17236,2.29089a262.69929,262.69929,0,0,0-34.476,11.39471C914.57709,77.0567,888.082,55,857.5,55c-29.59753,0-55.365,20.661-68.74036,51.16748-22.78991,4.04437-43.1474,13.5669-59.02935,26.83252H1921V120.10773a102.58041,102.58041,0,0,0-30.25793-14.45478A107.198,107.198,0,0,0,1870.45654,101.83014Z' style='fill:%23fff'/%3E%3C/svg%3E");
}

.md-footer:before {
    display: block;
    width: 100%;
    height: 128px;
    background: #fff url("../images/grass.png") repeat-x top left;
    content: " ";
    border-bottom: 10px solid #784D2D;
}